Bug 316090 - Display name does not take the available size correctly when elided
Summary: Display name does not take the available size correctly when elided
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: git-latest
Platform: Other Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-03 21:32 UTC by Daniele E. Domenichelli
Modified: 2013-03-06 20:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2013-03-03 21:32:40 UTC
Sometime when the account name is elided, depending on the size of the contact list, there is a lot of space between the account display name and the account icon. Other times the display name goes over the icon.
Comment 1 Martin Klapetek 2013-03-06 20:33:31 UTC
Git commit 4a964c7d9c424d8601645a7aa4eb719eb36d0bcc by Martin Klapetek, on behalf of Daniele E. Domenichelli.
Committed on 06/03/2013 at 21:29.
Pushed by mklapetek into branch 'master'.

Split the display name and the contacts count in the header delegate

The contacts count was elided with the display name, and therefore
not displayed when the text is elided.

Also fixes a few small problems:

* The text was elided in a rect that was for some reason sometime
  smaller and sometimes bigger than the available area.
* Add one point for the gray line in the bottom.
* Play a little bit with spacing, borders and size hints to make
  it prettier and easier to understand.
Related: bug 316089
REVIEW: 109319

FIXED-IN: 0.6.0

M  +30   -21   abstract-contact-delegate.cpp

http://commits.kde.org/telepathy-contact-list/4a964c7d9c424d8601645a7aa4eb719eb36d0bcc